package com.huashe.park.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;

/**
 * 施工桩机信息对象 cons_pile_machine_info
 * 
 * @author ruoyi
 * @date 2025-02-12
 */
public class PileMachineInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    private String byteId;

    /** 桩机编号 */
    @Excel(name = "桩机编号")
    private String machineNum;

    /** 设备信息 */
    @Excel(name = "设备信息")
    @JsonProperty("name")
    private String equipment;

    private String no;

    @JsonIgnore
    private String pwd;

    private String sn;

    @JsonProperty("token")
    private String token;

    @JsonProperty("serverHost")
    private String serverHost;

    @JsonProperty("serverPort")
    private String serverPort;

    @JsonProperty("serverUserName")
    private String serverUserName;

    @JsonProperty("serverPassword")
    private String serverPassword;

    @JsonProperty("topic")
    private String topic;

    @JsonProperty("constructionP4")
    private String constructionP4;

    @JsonProperty("productKey")
    private String productKey;

    @JsonProperty("deviceSecret")
    private String deviceSecret;

    private String status;

    private Double lng;

    private Double lat;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public String getByteId() {
        return byteId;
    }

    public void setByteId(String byteId) {
        this.byteId = byteId;
    }

    public void setMachineNum(String machineNum) {
        this.machineNum = machineNum;
    }

    public String getMachineNum() {
        return machineNum;
    }

    public void setEquipment(String equipment) {
        this.equipment = equipment;
    }

    public String getEquipment() {
        return equipment;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getPwd() {
        return pwd;
    }

    public void setPwd(String pwd) {
        this.pwd = pwd;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getServerHost() {
        return serverHost;
    }

    public void setServerHost(String serverHost) {
        this.serverHost = serverHost;
    }

    public String getServerPort() {
        return serverPort;
    }

    public void setServerPort(String serverPort) {
        this.serverPort = serverPort;
    }

    public String getServerUserName() {
        return serverUserName;
    }

    public void setServerUserName(String serverUserName) {
        this.serverUserName = serverUserName;
    }

    public String getServerPassword() {
        return serverPassword;
    }

    public void setServerPassword(String serverPassword) {
        this.serverPassword = serverPassword;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }

    public String getConstructionP4() {
        return constructionP4;
    }

    public void setConstructionP4(String constructionP4) {
        this.constructionP4 = constructionP4;
    }

    public String getProductKey() {
        return productKey;
    }

    public void setProductKey(String productKey) {
        this.productKey = productKey;
    }

    public String getDeviceSecret() {
        return deviceSecret;
    }

    public void setDeviceSecret(String deviceSecret) {
        this.deviceSecret = deviceSecret;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Double getLng() {
        return lng;
    }

    public void setLng(Double lng) {
        this.lng = lng;
    }

    public Double getLat() {
        return lat;
    }

    public void setLat(Double lat) {
        this.lat = lat;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId())
            .append("machineNum", getMachineNum()).append("equipment", getEquipment())
            .append("updateTime", getUpdateTime()).append("createTime", getCreateTime())
            .append("createBy", getCreateBy()).append("updateBy", getUpdateBy()).toString();
    }
}
